import { Injectable } from '@angular/core';
import { environment } from '../../environment';
import { HttpClient } from '@angular/common/http';
import { Stats } from '../model/Stats';
import { AuthService } from './auth.service';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class StatisticsService {
  constructor(private http: HttpClient, private authService: AuthService) {}

  public loadStats(): Observable<Stats> {
    return this.http.get<Stats>(`${environment.apiURL}/admin/stats`, {
      headers: this.authService.getAuthHeaders(),
    });
  }
}
